#ifndef _CONFIG_H
#define _CONFIG_H 1

#define BASE_PITCH      440.0
#define SAMPLE_RATE     22050
#define FFT_LENGTH      4096     /* in samples */
#define PAD_FACTOR      2        /* 1/pf of the FFT samples are real samples, the rest are padding */
#define OVERLAP         4        /* 1/ol samples will be replaced in the buffer every frame. Should be
				  * a multiple of 2 for the Hamming window (see
				  * http://www-ccrma.stanford.edu/~jos/parshl/Choice_Hop_Size.html).
				  */

#define EQUAL_TEMPERAMENT     0
#define WELL_TEMPERED_GUITAR  1

#define TUNING WELL_TEMPERED_GUITAR

// Compress the x scale of the glpitch display in a nonlinear way
// so that the view is more precise around the reference frequencies.
#define COMPRESS_PITCH_DISPLAY 1

// Lower is more compressed. Anything over 2-3 is probably going to negate
// the entire effect.
#define PITCH_COMPRESSION_SIGMA 1.0

#endif /* !defined(_CONFIG_H) */
